<template>
	<aside :id="id" class="u-block-spacing u-block-no-bottom-spacing u-block-no-top-spacing" :class="$style.block">
		<div :class="$style.blockInner">
			<h2 v-if="heading" class="u-heading u-heading--pre-line">{{ heading }}</h2>

			<div v-if="buttonText && buttonLink && buttonLink.url" :class="$style.buttonWrapper">
				<BaseButton :smart="buttonLink.url" size="medium" appearance="primary" @click.native="track">
					{{ buttonText }}
				</BaseButton>
			</div>
		</div>
	</aside>
</template>

<script>
export default {
	props: {
		id: {
			type: String,
			default: null,
		},

		heading: {
			type: String,
			default: '',
		},

		buttonText: {
			type: String,
			default: '',
		},

		buttonLink: {
			type: Object,
			default: null,
		},

		shouldTrack: {
			type: Boolean,
			default: false,
		},
	},

	methods: {
		track() {
			if (!this.shouldTrack) return;
			this.$tealiumEvent('reviews_write', {
				event_category: 'Reviews',
				event_action: 'Clicked Write a Review',
			});
		},
	},
};
</script>

<style lang="scss" module>
@import '@design';

.block {
	//
}

.blockInner {
	padding: size('m') size('s');
	background-color: color('secondary-200');

	@include above('xlarge') {
		padding: size('l') size('s');
	}
}

.buttonWrapper {
	display: flex;
	justify-content: center;
	margin-top: size('s') - size('m');

	@include above('xlarge') {
		margin-top: size('s') - size('l');
	}
}
</style>
